PDA

View Full Version : dual head config nvidia FC5



tsun
29th March 2006, 11:04 AM
For those of you who were stuck as i was, i hope this helps.

kernel : 2.6.16-1.2080_FC5smp

Here is my xorg.conf file and a post to help with the nvidia driver install (http://fedoraforum.org/forum/showthread.php?t=99456&highlight=dual+head) .

with the 2080 kernel i installed the nvidia drivers : selected dual head via the 'DIsplay config' : and restarted the X-server. (make sure to run nvidia-xconfig after you change the xorg.conf via 'Display config')

my setup:
2 :19 Benq FP937s
Nvidia 5950 ultra 236 Mb
3.0Ghz Intel P4

Good luck!

daihard
29th March 2006, 11:33 AM
For those of you who were stuck as i was, i hope this helps.

kernel : 2.6.16-1.2080_FC5smp
FYI, there's already a thread about FC5 and dual-head configuration.

http://forums.fedoraforum.org/showthread.php?p=487071#post487071

Where did you get the 2.6.16 kernel, btw? yum does not find it for me yet.

tsun
29th March 2006, 09:41 PM
yah i know but there wasnt a working dual head nvidia setup that i had seen. So for those running nvidia dual head i just thought i would help out a bit ...


i got the yum extensions from these two links:

FC5 installation (http://stanton-finley.net/fedora_core_5_installation_notes.html)

and

nvidia driver install (http://fedoraforum.org/forum/showthread.php?t=99456&highlight=dual+head)

hope that helps ... :)

daihard
30th March 2006, 01:55 AM
yah i know but there wasnt a working dual head nvidia setup that i had seen. So for those running nvidia dual head i just thought i would help out a bit ...


i got the yum extensions from these two links:

FC5 installation (http://stanton-finley.net/fedora_core_5_installation_notes.html)

and

nvidia driver install (http://fedoraforum.org/forum/showthread.php?t=99456&highlight=dual+head)
Actually, post #10 in that thread, which is mine, has a working xorg.conf sample using 2.6.15-2059_FC5. :)

Livna says they release the nVidia kernel module for 2.6.16-2080, so I'll try that and the new kernel once I get home.

twiistedkaos
30th March 2006, 02:04 AM
Actually, post #10 in that thread, which is mine, has a working xorg.conf sample using 2.6.15-2059_FC5. :)

Livna says they release the nVidia kernel module for 2.6.16-2080, so I'll try that and the new kernel once I get home.
Question, in order to dual monitor. Do I need two different gfx cards?

daihard
30th March 2006, 02:17 AM
Question, in order to dual monitor. Do I need two different gfx cards?
No. All you need is a graphics card with two outputs (as long as FC supports it). Mine is a GeForce 6200 with one DVI and one D-SUB out. Works just fine with the official nVidia driver.

twiistedkaos
30th March 2006, 02:19 AM
No. All you need is a graphics card with two outputs (as long as FC supports it). Mine is a GeForce 6200 with one DVI and one D-SUB out. Works just fine with the official nVidia driver.
Well mine has two outputs and is supported by FC, so I'll try hooking up another monitor later once I feel like geetting around to it. Thanks :)

daihard
30th March 2006, 06:12 AM
Well mine has two outputs and is supported by FC, so I'll try hooking up another monitor later once I feel like geetting around to it. Thanks :)
Good luck! :)

tsun
30th March 2006, 06:58 AM
Yah daihard, it took alot to get everything working (as expected with a new release) .. i was just putting together some things that helped me with my install.

With the nvidia install i had to rebuild the SRC.rpm for the new kernel. Its not stated but nvidia-glx will break with the updated kernel and you will have to rebuild the src.rpm ..

so everything is running beautifully, graphics tests running greats as well as all my DVD's etc.

daihard
30th March 2006, 07:02 AM
With the nvidia install i had to rebuild the SRC.rpm for the new kernel. Its not stated but nvidia-glx will break with the updated kernel and you will have to rebuild the src.rpm ..
Are you talking about 2.6.15-1.2059 or 2.6.16-1.2080? I did have to rebuild the nvidia driver for 2.6.15-1.2059, but I just installed 2.6.16-1.2080 and the nvidia driver, and it's working without any problem.

tsun
30th March 2006, 09:49 AM
i was talking about the 2.6.16-1.2080. for some reason i had to rebuild on the 2.6.16-1.2080. ohh well guess it was just me then :) ... seems that most of the dualhead /driver problems are being resolved in 2.6.16-1.2080.

daihard
30th March 2006, 10:45 AM
i was talking about the 2.6.16-1.2080. for some reason i had to rebuild on the 2.6.16-1.2080. ohh well guess it was just me then :) ... seems that most of the dualhead /driver problems are being resolved in 2.6.16-1.2080.
Actually, I just encountered a serious problem with 2.6.16-1.2080. Nothing to do with graphics. Lame segfaults (i.e .crashes) on me with this new kernel. I went back to 2.6.15-1.2059, and the problem went away. If you use lame to encode music, it may be a good idea for you to try it yourself to see how it goes.